﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Java.Interop;
using Com.Rscja.Deviceapi;
using Com.Rscja.Deviceapi.Entity;

namespace DemoM1
{
	[Activity (Label = "Cpu")]			
	public class Cpu : Activity
	{
		EditText cmddata;
		Button btninit;
		Button btnsend;
		TextView labmsg;
		public RFIDWithISO14443A4CPU mRFID4CPU;
		protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);
			SetContentView (Resource.Layout.cpu);
			mRFID4CPU = RFIDWithISO14443A4CPU.Instance;
			mRFID4CPU.Init ();
			// Create your application here
			InitView ();
		}

		void InitView()
		{
			cmddata = FindViewById<EditText> (Resource.Id.editcmdcpu);
			btninit = FindViewById<Button> (Resource.Id.btninitcpu);
			btnsend = FindViewById<Button> (Resource.Id.btnsendcpu);
			labmsg = FindViewById<TextView> (Resource.Id.labmsgcpu);

			btninit.Click += new EventHandler (delegate {
				labmsg.Text="";
				SimpleRFIDEntity entity = PubClass.rfid.Request ();
				if(entity==null)
				{
					labmsg.Text= GetString (Resource.String.msgm1getcardno);
					return;

				}
				string result=mRFID4CPU.Rats ();
				if(string.IsNullOrEmpty (result))
				{
					labmsg.Text="No:"+entity.Id+"\r\n"+ GetString (Resource.String.msgcpugetrastfail);
					return;
				}
				labmsg.Text="No:"+entity.Id+"\r\n"+ GetString (Resource.String.msgcpugetrast)+":"+result;
			});

			btnsend.Click += new EventHandler (delegate {
				labmsg.Text="";
				if(string.IsNullOrEmpty (cmddata.Text))
				{
					labmsg.Text= GetString (Resource.String.msgcpuinputcmd);
					return;
				}

				string da=mRFID4CPU.SendCommand (cmddata.Text);
				labmsg.Text="\r\n"+da;
			});

		}
		protected override void OnPause()
		{
			base.OnPause ();

		}

	}
}

